修订版 | 1b53817b96711f46311deb741f51a8c92f25f8ff (tree) |
---|---|
时间 | 2005-07-04 00:16:28 |
作者 | pukiwikiadmin <pukiwikiadmin> |
Commiter | pukiwikiadmin |
This commit was manufactured by cvs2svn to create tag 'r1_4_6_rc'.
@@ -1,3 +0,0 @@ | ||
1 | -#!/bin/sh | |
2 | - | |
3 | -grep -B1 "^function" ../*.php | sed -e "s/^\.\.\///" | sed "s/[a-z]*\.php\:function[ \t]*//" |
@@ -1,211 +0,0 @@ | ||
1 | -#!/bin/sh | |
2 | -# $Id: release.sh,v 1.21 2005-04-18 13:30:05 henoheno Exp $ | |
3 | -# $CVSKNIT_Id: release.sh,v 1.11 2004/05/28 14:26:24 henoheno Exp $ | |
4 | -# Release automation script for PukiWiki | |
5 | -# ========================================================== | |
6 | - Copyright='(C) 2002-2004 minix-up project, All Rights Reserved' | |
7 | - Homepage='http://cvsknit.sourceforge.net/' | |
8 | - License='BSD Licnese, NO WARRANTY' | |
9 | -# | |
10 | - | |
11 | -# Name and Usage -------------------------------------------- | |
12 | -_name="` basename $0 `" | |
13 | - | |
14 | -usage(){ | |
15 | - trace 'usage()' || return # (DEBUG) | |
16 | - warn "Usage: $_name [options] VERSION_TAG (1.4.3_rc1 like)" | |
17 | - warn " Options:" | |
18 | - warn " --nopkg Suppress creating archive (Extract and chmod only)" | |
19 | - warn " --norm --nopkg, and remove nothing (.cvsignore etc)" | |
20 | - warn " --co --norm, and use 'checkout' command instead of 'export'" | |
21 | - warn " -z|--zip Create *.zip archive" | |
22 | - warn " --move-dist Move *.ini.php => *.ini-dist.php" | |
23 | - warn " --copy-dist Move, and Copy *.ini.php <= *.ini-dist.php" | |
24 | - return 1 | |
25 | -} | |
26 | - | |
27 | -# Common functions ------------------------------------------ | |
28 | -warn(){ echo "$*" 1>&2 ; } | |
29 | -err() { warn "Error: $*" ; exit 1 ; } | |
30 | - | |
31 | -quote(){ | |
32 | - test $# -gt 0 && { echo -n "\"$1\"" ; shift ; } | |
33 | - while [ $# -gt 0 ] ; do echo -n " \"$1\"" ; shift ; done ; echo | |
34 | -} | |
35 | - | |
36 | -trace(){ | |
37 | - test "$__debug" || return 0 # (DEBUG) | |
38 | - _msg="$1" ; test $# -gt 0 && shift ; warn " $_msg : ` quote "$@" `" | |
39 | -} | |
40 | - | |
41 | -check_versiontag(){ | |
42 | - case "$1" in | |
43 | - [1-9].[0-9] | [1-9].[0-9] ) tag="r$1" ;; | |
44 | - [1-9].[0-9]_rc[1-9] | [1-9].[0-9]_rc[1-9] ) tag="r$1" ;; | |
45 | - [1-9].[0-9].[0-9] | [1-9].[0-9].[0-9][0-9] ) tag="r$1" ;; | |
46 | - [1-9].[0-9].[0-9]_[a-z]* | [1-9].[0-9].[0-9][0-9]_[a-z]* ) tag="r$1" ;; | |
47 | - [1-9].[0-9].[0-9]_[1-9] | [1-9].[0-9].[0-9][0-9]_[1-9] ) tag="r$1" ;; | |
48 | - HEAD | r1_3_3_branch ) tag="$rel" ;; | |
49 | - '' ) usage ; return 1 ;; | |
50 | - * ) warn "Error: Invalid string: $1" ; usage ; return 1 ;; | |
51 | - esac | |
52 | - echo "$tag" | tr '.' '_' | |
53 | -} | |
54 | - | |
55 | -chmod_pkg(){ | |
56 | - ( cd "$1" | |
57 | - # ALL: Read only | |
58 | - find . -type d | while read line; do chmod 755 "$line"; done | |
59 | - find . -type f | while read line; do chmod 644 "$line"; done | |
60 | - # Add write permission for PukiWiki | |
61 | - chmod 777 attach backup cache counter diff trackback wiki* 2>/dev/null | |
62 | - chmod 666 wiki*/*.txt cache/*.dat cache/*.ref cache/*.rel 2>/dev/null | |
63 | - ) | |
64 | -} | |
65 | - | |
66 | -# Default variables ----------------------------------------- | |
67 | - | |
68 | -mod=pukiwiki | |
69 | - | |
70 | -CVSROOT=":pserver:anonymous@cvs.sourceforge.jp:/cvsroot/$mod" | |
71 | - | |
72 | -# Function verifying arguments ------------------------------ | |
73 | - | |
74 | -getopt(){ _arg=noarg | |
75 | - trace 'getopt()' "$@" # (DEBUG) | |
76 | - | |
77 | - case "$1" in | |
78 | - '' ) echo 1 ;; | |
79 | - -[hH]|--help ) echo _help _exit ;; | |
80 | - --debug ) echo _debug 1 ;; | |
81 | - --nopkg ) echo _nopkg 1 ;; | |
82 | - --norm|--noremove ) echo _nopkg _noremove 1 ;; | |
83 | - --co|--checkout ) echo _nopkg _noremove _checkout 1 ;; | |
84 | - -z|--zip ) echo _zip 1 ;; | |
85 | - --copy-dist ) echo _copy_dist 1 ;; | |
86 | - --move-dist ) echo _move_dist 1 ;; | |
87 | - -d ) echo _CVSROOT 2 ; _arg="$2" ;; | |
88 | - -* ) warn "Error: Unknown option \"$1\"" ; return 1 ;; | |
89 | - * ) echo OTHER ;; | |
90 | - esac | |
91 | - | |
92 | - test 'x' != "x$_arg" | |
93 | -} | |
94 | - | |
95 | -# Working start --------------------------------------------- | |
96 | - | |
97 | -# Show arguments in one line (DEBUG) | |
98 | -case '--debug' in "$1"|"$3") false ;; * ) true ;; esac || { | |
99 | - test 'x--debug' = "x$1" && shift ; __debug=on ; trace 'Args ' "$@" | |
100 | -} | |
101 | - | |
102 | -# Parsing | |
103 | -while [ $# -gt 0 ] ; do | |
104 | - chs="` getopt "$@" `" || err "Syntax error with '$1'" | |
105 | - trace '$chs ' "$chs" # (DEBUG) | |
106 | - | |
107 | - for ch in $chs ; do | |
108 | - case "$ch" in | |
109 | - [1-3] ) shift $ch ;; | |
110 | - _exit ) exit ;; | |
111 | - _help ) usage ;; | |
112 | - | |
113 | - _CVSROOT) CVSROOT="$2" ;; | |
114 | - | |
115 | - _* ) eval "_$ch"=on ;; | |
116 | - * ) break 2 ;; | |
117 | - esac | |
118 | - done | |
119 | -done | |
120 | - | |
121 | -# No argument | |
122 | -if [ $# -eq 0 ] ; then usage ; exit ; fi | |
123 | - | |
124 | -# Archiver check -------------------------------------------- | |
125 | - | |
126 | -if [ -z "$__zip" ] | |
127 | -then | |
128 | - which tar || err "tar not found" | |
129 | - which gzip || err "gzip not found" | |
130 | -else | |
131 | - which zip || err "zip not found" | |
132 | -fi > /dev/null | |
133 | - | |
134 | -# Argument check -------------------------------------------- | |
135 | - | |
136 | -rel="$1" | |
137 | -tag="` check_versiontag "$rel" `" | |
138 | -pkg_dir="${mod}-${rel}" | |
139 | - | |
140 | -# Export the module ----------------------------------------- | |
141 | - | |
142 | -test ! -d "$pkg_dir" || err "There's already a directory: $pkg_dir" | |
143 | - | |
144 | -if [ -z "$__checkout" ] | |
145 | -then cmd="export" | |
146 | -else cmd="checkout" | |
147 | -fi | |
148 | - | |
149 | -echo cvs -z3 -d "$CVSROOT" -q "$cmd" -r "$tag" -d "$pkg_dir" "$mod" | |
150 | - cvs -z3 -d "$CVSROOT" -q "$cmd" -r "$tag" -d "$pkg_dir" "$mod" | |
151 | - | |
152 | -test -d "$pkg_dir" || err "There isn't a directory: $pkg_dir" | |
153 | - | |
154 | -# Remove '.cvsignore' if exists ----------------------------- | |
155 | -test -z "$__noremove" && { | |
156 | - echo find "$pkg_dir" -type f -name '.cvsignore' "| xargs rm -f" | |
157 | - find "$pkg_dir" -type f -name '.cvsignore' | xargs rm -f | |
158 | -} | |
159 | - | |
160 | -# chmod ----------------------------------------------------- | |
161 | - | |
162 | -chmod_pkg "$pkg_dir" | |
163 | - | |
164 | -# Create a package ------------------------------------------ | |
165 | - | |
166 | -test ! -z "$__nopkg" && exit 0 | |
167 | - | |
168 | -( cd "$pkg_dir" | |
169 | - | |
170 | - # wiki.en/ | |
171 | - target="wiki.en" | |
172 | - if [ -z "$__zip" ] | |
173 | - then tar cf - "$target" | gzip -9 > "$target".tgz | |
174 | - else zip -r9 "$target.zip" "$target" | |
175 | - fi | |
176 | - rm -Rf "$target" | |
177 | - | |
178 | - # en documents | |
179 | - if [ -z "$__zip" ] | |
180 | - then gzip -9 *.en.txt | |
181 | - else | |
182 | - for list in *.en.txt ; do | |
183 | - zip -9 "$list".zip "$list" | |
184 | - rm -f "$list" | |
185 | - done | |
186 | - fi | |
187 | -) | |
188 | - | |
189 | -# Move / Copy *.ini.php files | |
190 | -if [ 'x' != "x$__copy_dist$__move_dist" ] ; then | |
191 | -( cd "$pkg_dir" | |
192 | - | |
193 | - find . -type f -name "*.ini.php" | while read file; do | |
194 | - dist_file="` echo "$file" | sed 's/ini\.php$/ini-dist.php/' `" | |
195 | - mv -f "$file" "$dist_file" | |
196 | - test "$__copy_dist" && cp -f "$dist_file" "$file" | |
197 | - done | |
198 | -) | |
199 | -fi | |
200 | - | |
201 | -if [ -z "$__zip" ] | |
202 | -then | |
203 | - # Tar + gzip | |
204 | - echo tar cf - "$pkg_dir" \| gzip -9 \> "$pkg_dir.tar.gz" | |
205 | - tar cf - "$pkg_dir" | gzip -9 > "$pkg_dir.tar.gz" | |
206 | -else | |
207 | - # Zip | |
208 | - echo zip -r9 "$pkg_dir.zip" "$pkg_dir" | |
209 | - zip -r9 "$pkg_dir.zip" "$pkg_dir" | |
210 | -fi | |
211 | - |
@@ -1,197 +0,0 @@ | ||
1 | -#!/bin/sh | |
2 | -# $Id: release_update.sh,v 1.11 2005-03-21 14:08:50 henoheno Exp $ | |
3 | -# $CVSKNIT_Id: release.sh,v 1.11 2004/05/28 14:26:24 henoheno Exp $ | |
4 | -# Release automation script for PukiWiki | |
5 | -# ========================================================== | |
6 | - Copyright='(C) 2002-2004 minix-up project, All Rights Reserved' | |
7 | - Homepage='http://cvsknit.sourceforge.net/' | |
8 | - License='BSD Licnese, NO WARRANTY' | |
9 | -# | |
10 | - | |
11 | -# Name and Usage -------------------------------------------- | |
12 | -_name="` basename $0 `" | |
13 | - | |
14 | -usage(){ | |
15 | - warn "USAGE: $_name [options] VERSION_FROM VERSION_TO (VERSION = '1.4.3_rc1' like)" | |
16 | - warn " Options:" | |
17 | - warn " -z|--zip Create *.zip archive" | |
18 | - warn " --move-dist Move *.ini.php => *.ini-dist.php" | |
19 | - warn " --copy-dist Move, and Copy *.ini.php <= *.ini-dist.php" | |
20 | - return 1 | |
21 | -} | |
22 | - | |
23 | -# Common functions ------------------------------------------ | |
24 | -warn(){ echo "$*" 1>&2 ; } | |
25 | -err() { warn "Error: $*" ; exit 1 ; } | |
26 | - | |
27 | -quote(){ | |
28 | - test $# -gt 0 && { echo -n "\"$1\"" ; shift ; } | |
29 | - while [ $# -gt 0 ] ; do echo -n " \"$1\"" ; shift ; done ; echo | |
30 | -} | |
31 | - | |
32 | -trace(){ | |
33 | - test "$__debug" || return 0 # (DEBUG) | |
34 | - _msg="$1" ; test $# -gt 0 && shift ; warn " $_msg : ` quote "$@" `" | |
35 | -} | |
36 | - | |
37 | -check_versiontag(){ | |
38 | - case "$1" in | |
39 | - [1-9].[0-9] | [1-9].[0-9] ) tag="r$1" ;; | |
40 | - [1-9].[0-9]_rc[1-9] | [1-9].[0-9]_rc[1-9] ) tag="r$1" ;; | |
41 | - [1-9].[0-9].[0-9] | [1-9].[0-9].[0-9][0-9] ) tag="r$1" ;; | |
42 | - [1-9].[0-9].[0-9]_[a-z]* | [1-9].[0-9].[0-9][0-9]_[a-z]* ) tag="r$1" ;; | |
43 | - [1-9].[0-9].[0-9]_[1-9] | [1-9].[0-9].[0-9][0-9]_[1-9] ) tag="r$1" ;; | |
44 | - HEAD | r1_3_3_branch ) tag="$rel" ;; | |
45 | - '' ) usage ; return 1 ;; | |
46 | - * ) warn "Error: Invalid string: $1" ; usage ; return 1 ;; | |
47 | - esac | |
48 | - echo "$tag" | tr '.' '_' | |
49 | -} | |
50 | - | |
51 | -chmod_pkg(){ | |
52 | - ( cd "$1" | |
53 | - # ALL: Read only | |
54 | - find . -type d | while read line; do chmod 755 "$line"; done | |
55 | - find . -type f | while read line; do chmod 644 "$line"; done | |
56 | - # Add write permission for PukiWiki | |
57 | - chmod 777 attach backup cache counter diff trackback wiki* 2>/dev/null | |
58 | - chmod 666 wiki*/*.txt cache/*.dat cache/*.ref cache/*.rel 2>/dev/null | |
59 | - ) | |
60 | -} | |
61 | - | |
62 | -# Default variables ----------------------------------------- | |
63 | - | |
64 | -mod=pukiwiki | |
65 | -CVSROOT=":pserver:anonymous@cvs.sourceforge.jp:/cvsroot/$mod" | |
66 | - | |
67 | -pkg_dir="$mod" | |
68 | - | |
69 | -# Function verifying arguments ------------------------------ | |
70 | - | |
71 | -getopt(){ _arg=noarg | |
72 | - trace 'getopt()' "$@" # (DEBUG) | |
73 | - | |
74 | - case "$1" in | |
75 | - '' ) echo 1 ;; | |
76 | - -[hH]|--help ) echo _help _exit ;; | |
77 | - --debug ) echo _debug ;; | |
78 | - -z|--zip ) echo _zip ;; | |
79 | - --copy-dist ) echo _copy_dist ;; | |
80 | - --move-dist ) echo _move_dist ;; | |
81 | - -d ) echo _CVSROOT 2 ; _arg="$2" ;; | |
82 | - -* ) warn "Error: Unknown option \"$1\"" ; return 1 ;; | |
83 | - * ) echo OTHER ;; | |
84 | - esac | |
85 | - | |
86 | - test 'x' != "x$_arg" | |
87 | -} | |
88 | - | |
89 | -# Working start --------------------------------------------- | |
90 | - | |
91 | -# Show arguments in one line (DEBUG) | |
92 | -case '--debug' in "$1"|"$3") false ;; * ) true ;; esac || { | |
93 | - test 'x--debug' = "x$1" && shift ; __debug=on ; trace 'Args ' "$@" | |
94 | -} | |
95 | - | |
96 | -# Parsing | |
97 | -while [ $# -gt 0 ] ; do | |
98 | - chs="` getopt "$@" `" || err "Syntax error with '$1'" | |
99 | - trace '$chs ' "$chs" # (DEBUG) | |
100 | - | |
101 | - for ch in $chs ; do | |
102 | - case "$ch" in | |
103 | - [1-3] ) shift $ch ;; | |
104 | - _exit ) exit ;; | |
105 | - _help ) usage ;; | |
106 | - _CVSROOT) CVSROOT="$2" ;; | |
107 | - _* ) shift ; eval "_$ch"=on ;; | |
108 | - * ) break 2 ;; | |
109 | - esac | |
110 | - done | |
111 | -done | |
112 | - | |
113 | -# No argument | |
114 | -if [ $# -eq 0 ] ; then usage ; exit ; fi | |
115 | - | |
116 | -# Argument check -------------------------------------------- | |
117 | - | |
118 | -rel_from="$1" | |
119 | -rel_to="$2" | |
120 | -if [ "x$rel_from" = "x$rel_to" ] ; then | |
121 | - warn "Error: VERSION_FROM and VERSION_TO is equivalent" | |
122 | - usage ; exit | |
123 | -fi | |
124 | - | |
125 | -tag_from="` check_versiontag "$rel_from" `" || exit | |
126 | -tag_to="` check_versiontag "$rel_to" `" || exit | |
127 | - | |
128 | -# ----------------------------------------------------------- | |
129 | - | |
130 | -# Checkout the module with VERSION_FROM | |
131 | -test ! -d "$pkg_dir" || err "There's already a directory: $pkg_dir" | |
132 | -echo cvs -z3 -d "$CVSROOT" co -r "$tag_from" -d "$pkg_dir" "$mod" | |
133 | - cvs -z3 -d "$CVSROOT" co -r "$tag_from" -d "$pkg_dir" "$mod" | |
134 | -test -d "$pkg_dir" || err "There isn't a directory: $pkg_dir" | |
135 | - | |
136 | -# Merge VERSION_FROM to VERSION_TO | |
137 | -( cd "$pkg_dir" | |
138 | - echo cvs up -dP -j "$tag_from" -j "$tag_to" | |
139 | - cvs up -dP -j "$tag_from" -j "$tag_to" | |
140 | - | |
141 | - # Cleanup backup files by cvs | |
142 | - find . -type f -name ".#*" | xargs rm -f | |
143 | -) | |
144 | - | |
145 | -# Remove files those are not Added or Modified | |
146 | -echo -n "Remove files those are not Added or Modified ..." | |
147 | -( cd "$pkg_dir" | |
148 | - | |
149 | - find . -type f | grep -v /CVS/ | while read line ; do | |
150 | - result="` cvs -nq up "$line" 2>/dev/null | grep '^[AM] ' | cut -b 3- `" | |
151 | - test "x$result" != "x" || rm -f "$line" | |
152 | - echo -n "." | |
153 | - done | |
154 | - echo | |
155 | -) | |
156 | - | |
157 | -# Remove CVS directories | |
158 | -echo "Remove CVS directories ..." | |
159 | -find "$pkg_dir" -type d -name "CVS" | xargs rm -Rf | |
160 | - | |
161 | -# Remove '.cvsignore' if exists | |
162 | -echo find "$pkg_dir" -type f -name '.cvsignore' -delete | |
163 | - find "$pkg_dir" -type f -name '.cvsignore' -delete | |
164 | - | |
165 | -# Remove emptied directories (twice) | |
166 | -find "$pkg_dir" -type d -empty | xargs rmdir | |
167 | -find "$pkg_dir" -type d -empty | xargs rmdir | |
168 | - | |
169 | -# Move / Copy *.ini.php files | |
170 | -if [ 'x' != "x$__copy_dist$__move_dist" ] ; then | |
171 | -( cd "$pkg_dir" | |
172 | - | |
173 | - find . -type f -name "*.ini.php" | while read file; do | |
174 | - dist_file="` echo "$file" | sed 's/ini\.php$/ini-dist.php/' `" | |
175 | - mv -f "$file" "$dist_file" | |
176 | - test "$__copy_dist" && cp -f "$dist_file" "$file" | |
177 | - done | |
178 | -) | |
179 | -fi | |
180 | - | |
181 | -# chmod | |
182 | -chmod_pkg "$pkg_dir" | |
183 | - | |
184 | -if [ -z "$__zip" ] | |
185 | -then | |
186 | - # Tar | |
187 | - echo tar cf - "$pkg_dir" \| gzip -9 \> "update_$rel_to.tar.gz" | |
188 | - tar cf - "$pkg_dir" | gzip -9 > "update_$rel_to.tar.gz" | |
189 | -else | |
190 | - # Zip | |
191 | - echo zip -r9 "update_$rel_to.zip" "$pkg_dir" | |
192 | - zip -r9 "update_$rel_to.zip" "$pkg_dir" | |
193 | -fi | |
194 | - | |
195 | -#echo rm -Rf "$pkg_dir" | |
196 | -# rm -Rf "$pkg_dir" | |
197 | - |
@@ -1,86 +0,0 @@ | ||
1 | -#!/bin/sh | |
2 | -# $Id: tdiary-demogen.sh,v 1.7 2005-01-25 12:47:11 henoheno Exp $ | |
3 | -# | |
4 | -# tDiary demonstration generator: generates many [theme].php | |
5 | -# License: GPL | |
6 | - | |
7 | -warn(){ echo "$*" 1>&2; } | |
8 | -err(){ warn "$*"; exit 1; } | |
9 | - | |
10 | -usage(){ | |
11 | - base="`basename $0`"; | |
12 | - warn " $base [-d path/to/theme-directory] list" | |
13 | - warn " $base [-d path/to/theme-directory] interwiki" | |
14 | - warn " $base [-d path/to/theme-directory] touch" | |
15 | - warn " $base [-d path/to/theme-directory] untouch" | |
16 | - warn " Command:" | |
17 | - warn " lis|list - List themes" | |
18 | - warn " int|interwiki - Publish interwiki definition and setting for each theme" | |
19 | - warn " tou|touch - Generate \$theme.php that includes index.php" | |
20 | - warn " unt|untouch - Remove \$theme.php(s) listed in theme directory" | |
21 | - exit 1 | |
22 | -} | |
23 | - | |
24 | -theme_list(){ | |
25 | - cd "$dir" || err "Error: directory '$dir' not found" | |
26 | - ls -1 | while read theme; do | |
27 | - test -f "$theme/$theme.css" && echo "$theme" | |
28 | - done | |
29 | -} | |
30 | - | |
31 | -# ---- Argument check ---- | |
32 | -dir="skin/theme" | |
33 | -if [ "x-d" = "x$1" ] ; then | |
34 | - dir="$2" | |
35 | - shift 2 | |
36 | -fi | |
37 | -cmd="$1" | |
38 | - | |
39 | -# ---- | |
40 | - | |
41 | -case "$cmd" in | |
42 | -''|-h|hel|help ) usage ;; | |
43 | -lis|list ) theme_list ;; | |
44 | - | |
45 | -int|inte|inter|interw|interwi|interwik|interwiki) | |
46 | - echo '--------' | |
47 | - echo '- [./$1.php theme] raw tDiary theme selector' | |
48 | - echo '--------' | |
49 | - echo '- (s) = sidebar CSS exists in this theme' | |
50 | - theme_list | while read theme; do | |
51 | - echo -n "+ [[theme:$theme]]" | |
52 | - grep -q div.sidebar "$dir/$theme/$theme.css" && echo -n " (s)" | |
53 | - echo | |
54 | - done | |
55 | - ;; | |
56 | - | |
57 | -tou|touc|touch ) | |
58 | - theme_list | while read theme; do | |
59 | - if [ -f "$theme.php" ] | |
60 | - then echo "Warning: '$theme.php' is already available. Ignoreing..." | |
61 | - else | |
62 | - cat <<EOF > "$theme.php" | |
63 | -<?php | |
64 | - define('TDIARY_THEME', '$theme'); | |
65 | - require('./index.php') | |
66 | -?> | |
67 | -EOF | |
68 | - fi | |
69 | - done | |
70 | - ;; | |
71 | - | |
72 | -unt|unto|untou|untouc|untouch ) | |
73 | - echo -n " Remove theme(s).php ? [y/N]: " | |
74 | - read answer | |
75 | - case "$answer" in | |
76 | - [yY] | [yY][eE][sS] ) | |
77 | - theme_list | while read theme ; do | |
78 | - test -f "$theme.php" && grep -q "define('TDIARY_THEME', '$theme');" "$theme.php" && rm -f "$theme.php" | |
79 | - done | |
80 | - ;; | |
81 | - * ) | |
82 | - echo " Stopped." | |
83 | - esac | |
84 | - ;; | |
85 | -esac | |
86 | - |
@@ -1 +0,0 @@ | ||
1 | -*.txt |
@@ -1,2 +0,0 @@ | ||
1 | -Order allow,deny | |
2 | -Deny from all |
@@ -1 +0,0 @@ | ||
1 | -Data files are placed here. |